Subject: Re: Sebastian Dumitru Macriniuc
From: Deeksha Dadu <[email-masked]>
To: Abhishek Kumar <[email-masked]>
Cc: Saurabh Dadu <[email-masked]>, "Pritish Nandi (LSM)" <[email-masked]>
Date: Thu, 22 Jul 2021 09:05:09 +0000

Hi Pritish,

Can you please help Abhishek with this?

Regards,
Deeksha

From: Abhishek Kumar <[email-masked]<mailto:[email-masked]>>
Date: Wednesday, 21 July 2021 at 11:54 PM
To: Deeksha Dadu <[email-masked]<mailto:[email-masked]>>
Cc: Saurabh Dadu <[email-masked]<mailto:[email-masked]>>, "Pritish Nandi (LSM)" <[email-masked]<mailto:[email-masked]>>
Subject: Sebastian Dumitru Macriniuc

Hello Deeksha

I reviewed some tickets for Sebastian Macriniuc. I spoke to him at length for the purpose of providing him QA feedback and guidance. I have included some reviews in the QA sheets.

Although the reckless documentation may not suggest so, I found him sincere during the conversation. He has done well for closing tickets and resolving queries in some cases. He needs a little more practice and coaching on the "Customer Service" aspects for his communication.
With time and coaching, his performance should improve.
He has closed some tickets in a short time which is appreciable and also the probable reason why he might have received bad CSAT scores.

He was glad to receive and implement feedback. These are my observations.

Can you please share details of his CSAT reviews; It may contain data that might help us.

Regards
Abhishek